CKYC Submit OTP API
After successful OTP submission via the CKYC Submit OTP API—you can access a comprehensive set of data points, providing you with a deeper understanding of your customer's identity.
Once the OTP sent to the CKYC-registered mobile number is validated, this API allows you to fetch the complete CKYC profile securely. You can access the individual’s details such as Date of Birth, PAN number, address, parent's details, contact details, KYC declaration details, identity details, and even images associated with the CKYC account. This rich data set supports enhanced identity verification, customer onboarding, and regulatory compliance, enabling a seamless and secure customer experience.
Note: Please use your dedicated server endpoint in case this module is deployed on your server.
API details
Endpoint
POST https://api.signzy.app/api/v3/ckyc/validateOtpPOST https://api-preproduction.signzy.app/api/v3/ckyc/validateOtpRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
otp | String | OTP received on the mobile phone. | Mandatory |
requestId | String | Unique request ID, generated against a search request | Mandatory |
maskAadhaar | Boolean | If enabled as True, the ID image documents with imageCode 04, 36, or 37 which belongs to Aadhaar ID type will be masked. All other images remain unchanged. The imageData in final response will have only the masked Aadhaar image and not the original one. | Optional |
env | String | Environment type (production/preproduction) | Mandatory |
{
"otp": "123456",
"requestId": "REQ-ABC-12345",
"maskAadhaar": true,
"env": "preproduction"
}
Authorization Factor Types
authFactorType | authFactorValue | authFactorValue-Format |
|---|---|---|
01 | Date of Incorporation (for Legal Entity records) | DD-MM-YYYY |
03 | Mobile Number (for individual records as well as Legal Entity) | 0000000000 |
04 | Email (for Legal Entity records) | |
05 | Pin code (for Legal Entity records) | XXXXXXYYYY Where XXXXXX is the Pincode and YYYY is the Birth Year. |
Code samples
curl --location 'https://api.signzy.app/api/v3/ckyc/validateOtp' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Your access token>' \
--header 'X-Requested-Client: <Your request client id>' \
--data '{
"otp": "123456",
"requestId": "REQ-ABC-12345",
"maskAadhaar": true,
"env": "preproduction"
}'Response
{
"result": {
"imageDetails": [
{
"branchCode": "",
"sequenceNo": "1",
"imageData": "/9j/XXX/2Q==",
"globalFlag": "",
"imageCode": "20",
"imageType": "pdf"
}
],
"personalDetails": {
"constitutionType": "D",
"constitutionTypeOthers": "",
"accountHolderType": "",
"ckycNumber": "70062719671298",
"referenceId": "LEVWXI96290429",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"fullName": "Deo Lite PVT LIMITED",
"placeOfIncorporation": "",
"dateOfCommencementOfBusiness": "",
"countryOfIncorporation": "",
"tinGst": "",
"tinCountry": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"maidenFullName": "",
"fatherSpouseFlag": "",
"fatherSpousePrefix": "",
"fatherSpouseFirstName": "",
"fatherSpouseMiddleName": "",
"fatherSpouseLastName": "",
"fatherSpouseFullName": "",
"motherPrefix": "",
"motherFirstName": "",
"motherMiddleName": "",
"motherLastName": "",
"motherFullName": "",
"gender": "",
"nationality": "",
"dob": "06/01/1999",
"pan": "KTCCK1239T",
"formSixty": "",
"disabilityFlag": "",
"disabilityType": "",
"disabilityPercent": "",
"disabilityUDIDNumber": "",
"address": {
"resiStatus": "",
"permLine1": "Jain nagar",
"permLine2": "Addr2",
"permLine3": "Addr3",
"permCity": "Mumbai",
"permDistrict": "Mumbai",
"permState": "MH",
"permCountry": "IN",
"permPin": "400006",
"permPoa": "06",
"permPoaOthers": "",
"permCorresFlag": "N",
"corresLine1": "Corraddr1",
"corresLine2": "Corraddr2",
"corresLine3": "Corraddr3",
"corresCity": "Mumbai",
"corresDistrict": "Mumbai",
"corresState": "MH",
"corresCountry": "IN",
"corresPin": "400006",
"corresPoa": ""
},
"proofOfAddress": "",
"residenceStdCode": "",
"residenceTelephoneNumber": "",
"officeStdCode": "",
"officeTelephoneNumber": "",
"faxCode": "",
"faxNumber": "",
"mobileCode1": "",
"mobileNumber1": "",
"mobileCode2": "",
"mobileNumber2": "",
"mobileCode": "",
"mobileNumber": "",
"email": "",
"email2": "",
"remarks": "",
"declarationDate": "03/08/2023",
"declarationPlace": "Sanghera",
"kycDate": "********",
"documentSubmitted": "01",
"ipvFlag": "",
"kycName": "********",
"kycDesignation": "********",
"kycBranch": "********",
"kycEmpCode": "********",
"numberOfIdentity": "1",
"numberOfRelatedPersons": "4",
"numberOfImages": "2",
"organizationName": "",
"organizationCode": "",
"din": "",
"relationshipTypeOthers": "",
"relationshipTypeOthersDesc": ""
},
"relatedPersonDetails": [
{
"sequenceNo": "1",
"relationshipType": "12",
"addDelFlag": "1",
"ckycNumber": "",
"prefix": "Mr",
"firstName": "Aditya",
"middleName": "",
"lastName": "Somani",
"fullName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"maidenFullName": "",
"fatherSpouseFlag": "01",
"fatherSpousePrefix": "Mr",
"fatherSpouseFirstName": "Ishaan",
"fatherSpouseMiddleName": "",
"fatherSpouseLastName": "Somani",
"fatherSpouseFullName": "",
"motherPrefix": "",
"motherFirstName": "",
"motherMiddleName": "",
"motherLastName": "",
"motherFullName": "",
"dob": "28-07-1968",
"gender": "M",
"pan": "BCDPE1234V",
"nationality": "",
"formSixty": "",
"disabilityFlag": "",
"disabilityType": "",
"disabilityPercent": "",
"disabilityUDIDNumber": "",
"residentialStatus": "",
"residenceStdCode": "",
"residenceTelephoneNumber": "",
"officeStdCode": "",
"officeTelephoneNumber": "",
"mobileCode": "",
"mobileNumber": "",
"email": "",
"declarationDate": "",
"declarationPlace": "",
"kycDate": "",
"documentSubmitted": "",
"kycName": "",
"kycDesignation": "",
"kycBranch": "",
"kycEmpCode": "",
"organizationName": "",
"organizationCode": "",
"din": "",
"relationshipTypeOthers": "",
"remarks": "",
"photoType": "jpg",
"photoData": "/9j/XXX/2Q==",
"permPoiType": "JPG",
"permPoiData": "/9j/XXX/2Q==",
"corresPoiImageType": "",
"corresPoiData": "",
"proofOfPossessionOfAadhaar": "",
"voterId": "",
"nrega": "",
"passport": "",
"foreignNationalId": "",
"drivingLicence": "",
"nationalPopulationRegLetter": "",
"offlineVerificationAadhaar": "",
"eKycAuthentication": "",
"address": {
"addLine1": "",
"addLine2": "",
"addLine3": "",
"addCity": "",
"addDistrict": "",
"addDist": "",
"addState": "",
"addCountry": "",
"addPin": "",
"permPoiType": "",
"sameAsPermFlag": "",
"permLine1": "",
"permLine2": "",
"permLine3": "",
"permCity": "",
"permDistrict": "",
"permState": "",
"permCountry": "",
"permPin": "",
"permPoa": "",
"permCorresFlag": "",
"corresAddLine1": "",
"corresAddLine2": "",
"corresAddLine3": "",
"corresAddCity": "",
"corresAddDistrict": "",
"corresAddDist": "",
"corresAddState": "",
"corresAddCountry": "",
"corresAddPin": "",
"corresPoiType": "",
"corresLine1": "",
"corresLine2": "",
"corresLine3": "",
"corresCity": "",
"corresDistrict": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoa": ""
}
}
],
"identityDetails": [
{
"sequenceNumber": "1",
"identityType": "A",
"identityNumber": "********0162",
"idVerificationStatus": ""
},
{
"sequenceNumber": "2",
"identityType": "P",
"identityNumber": "FWCPK7897E",
"idVerificationStatus": ""
}
]
}
}
CKYC Codes Description
Image Code Description
Image Code | Description |
|---|---|
02 | Photograph |
03 | PAN |
04 | Proof of Possession of Aadhaar |
05 | Passport |
06 | Driving License |
07 | Voters Identity Card |
08 | NREGA Job Card |
09 | Signature |
10 | Simplified Measures Account - Identity card with applicant’s photograph issued by Central/ State Government Departments, Statutory/ Regulatory Authorities, Public Sector Undertakings, Scheduled Commercial Banks, and Public Financial Institutions. |
11 | Simplified Measures Account - Letter issued by a gazetted officer, with a duly attested photograph of the person. |
12 | Utility bill which is not more than two months old of any service provider (electricity, telephone, post-paid mobile phone, piped gas, water bill). |
13 | Property or Municipal Tax receipt. |
14 | Bank account or Post Office savings bank account statement. |
15 | Pension or family pension payment orders (PPOs) issued to retired employees by Government Departments or Public Sector Undertakings, if they contain the address. |
16 | Letter of allotment of accommodation from employer issued by State or Central Government departments, statutory or regulatory bodies, public sector undertakings, scheduled commercial banks, financial institutions and listed companies. Similarly, leave and license agreements with such employers allotting official accommodation. |
17 | Documents issued by Government departments of foreign jurisdictions and letter issued by Foreign Embassy or Mission in India. |
18 | Officially valid document(s) in respect of person authorized to transact |
19 | Certificate of Incorporation/Formation |
20 | Registration Certificate |
21 | Memorandum and Articles of Association |
22 | Partnership Deed |
23 | Trust Deed |
24 | Resolution of Board/ Managing Committee |
25 | Power of Attorney granted to its manager, officers or employees to transact on its behalf. |
26 | Activity Proof – 1 (For Sole Proprietorship only) |
27 | Activity Proof – 2 (For Sole Proprietorship only) |
35 | National Population Registry Letter |
36 | E-KYC Authentication |
37 | Offline verification of Aadhaar |
98 | Other |
identityType description
Category | Document | identityType (API output) |
|---|---|---|
Individual | Passport | PP |
Individual | Voter ID | V |
Individual | PAN | P |
Individual | Driving Licence | D |
Individual | Proof of Possession of Aadhaar | A |
Individual | NREGA Job Card | F |
Individual | National Population Register Letter | G |
Individual | E-KYC Authentication | H |
Individual | Offline Verification of Aadhaar | OA |
Individual | Foreign National ID (<FOREIGN_NATIONAL_ID>) | J |
Other | Others | Z |
Simplified | Simplified Measures – Govt/PSU/Bank photo ID | S01 |
Simplified | Simplified Measures – Gazetted-officer letter | S02 |
Legal entity | OVD of person authorized to transact | 01 |
Legal entity | Certificate of Incorporation/Formation | I |
Legal entity | Registration Certificate | R |
Legal entity | Memorandum & Articles of Association | 04 |
Legal entity | Partnership Deed | 05 |
Legal entity | Trust Deed | 06 |
Legal entity | Resolution of Board/Managing Committee | 07 |
Legal entity | Power of Attorney (to manager/officers/employees) | 08 |
Legal entity | Activity Proof – 1 | 09 |
Legal entity | Activity Proof – 2 | 10 |
idVerificationStatus description
idVerificationStatus | description |
|---|---|
01 | ID is verified with the ID issuer. |
02 | ID is not verified with the ID issuing authority. |
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!